Name: H5Tdetect_class
Signature:
  htri_t `H5Tdetect_class`(hid_t `dtype_id`, H5T_class_t `dtype_class` )
Purpose:
  Determines whether a datatype contains any datatypes of the given datatype class.
Description:
  `H5Tdetect_class` determines whether the datatype specified in `dtype_id` contains any datatypes of the datatype class specified in `dtype_class`.

  This function is useful primarily in recursively examining all the fields and/or base types of compound, array, and variable-length datatypes.

  Valid class identifiers are as defined in `H5Tget_class`.

Parameters:

hid_t `dtype_id` | Datatype identifier.
H5T_class_t `dtype_class` | Datatype class.

Returns:
  Returns `TRUE` or `FALSE` if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.